[Date Prev][Date Next] [Chronological] [Thread] [Top]

RE: TLS not supported

> Thanks again Axel, much appreciated. I'll check out the
> debian/configure.options --with-tls options.
> Here is the output you requested:
> dllifesystems:/usr/local/libexec# ldd slapd
>                 libdb-4.2.so => /usr/lib/libdb-4.2.so (0x4001c000)
>         libsasl2.so.2 => /usr/lib/libsasl2.so.2 (0x400f2000)
>         libresolv.so.2 => /lib/tls/libresolv.so.2 (0x40108000)
>         libpthread.so.0 => /lib/tls/libpthread.so.0 (0x4011a000)
>         libc.so.6 => /lib/tls/libc.so.6 (0x40129000)
>         libdl.so.2 => /lib/tls/libdl.so.2 (0x40264000)
>         /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

well according to that output your problem still seems to be that openldap
is compiled without tls/ssl support.
is package libssl-dev installed?
install it first and then rebuild package.

is this output made of slapd you compiled yourself, or default sarge
binary package?